# DO NOT DELETE: Beginning of Haskell dependencies
utils/hpc/dist-install/build/HpcFlags.o : utils/hpc/HpcFlags.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcFlags.hi  : %hi: %o  utils/hpc/HpcFlags.hs))
utils/hpc/dist-install/build/HpcFlags.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcFlags.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/hpc/dist-install/build/HpcFlags.o : libraries/base/dist-install/build/System/Exit.hi
utils/hpc/dist-install/build/HpcFlags.o : libraries/hpc/dist-install/build/Trace/Hpc/Mix.hi
utils/hpc/dist-install/build/HpcFlags.o : libraries/hpc/dist-install/build/Trace/Hpc/Tix.hi
utils/hpc/dist-install/build/HpcFlags.o : libraries/base/dist-install/build/Data/Char.hi
utils/hpc/dist-install/build/HpcFlags.o : libraries/containers/dist-install/build/Data/Set.hi
utils/hpc/dist-install/build/HpcFlags.o : libraries/base/dist-install/build/System/Console/GetOpt.hi
utils/hpc/dist-install/build/HpcCombine.o : utils/hpc/HpcCombine.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcCombine.hi  : %hi: %o  utils/hpc/HpcCombine.hs))
utils/hpc/dist-install/build/HpcCombine.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcCombine.o : libraries/containers/dist-install/build/Data/Map.hi
utils/hpc/dist-install/build/HpcCombine.o : libraries/containers/dist-install/build/Data/Set.hi
utils/hpc/dist-install/build/HpcCombine.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hpc/dist-install/build/HpcCombine.o : utils/hpc/dist-install/build/HpcFlags.hi
utils/hpc/dist-install/build/HpcCombine.o : libraries/hpc/dist-install/build/Trace/Hpc/Util.hi
utils/hpc/dist-install/build/HpcCombine.o : libraries/hpc/dist-install/build/Trace/Hpc/Tix.hi
utils/hpc/dist-install/build/HpcLexer.o : utils/hpc/HpcLexer.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcLexer.hi  : %hi: %o  utils/hpc/HpcLexer.hs))
utils/hpc/dist-install/build/HpcLexer.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcLexer.o : libraries/base/dist-install/build/Data/Char.hi
utils/hpc/dist-install/build/HpcParser.o : utils/hpc/HpcParser.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcParser.hi  : %hi: %o  utils/hpc/HpcParser.hs))
utils/hpc/dist-install/build/HpcParser.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcParser.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hpc/dist-install/build/HpcParser.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/hpc/dist-install/build/HpcParser.o : libraries/base/dist-install/build/GHC/Exts.hi
utils/hpc/dist-install/build/HpcParser.o : libraries/base/dist-install/build/Data/Bits.hi
utils/hpc/dist-install/build/HpcParser.o : libraries/array/dist-install/build/Data/Array.hi
utils/hpc/dist-install/build/HpcParser.o : utils/hpc/dist-install/build/HpcLexer.hi
utils/hpc/dist-install/build/HpcReport.o : utils/hpc/HpcReport.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcReport.hi  : %hi: %o  utils/hpc/HpcReport.hs))
utils/hpc/dist-install/build/HpcReport.o : libraries/containers/dist-install/build/Data/Set.hi
utils/hpc/dist-install/build/HpcReport.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hpc/dist-install/build/HpcReport.o : libraries/hpc/dist-install/build/Trace/Hpc/Tix.hi
utils/hpc/dist-install/build/HpcReport.o : libraries/hpc/dist-install/build/Trace/Hpc/Mix.hi
utils/hpc/dist-install/build/HpcReport.o : utils/hpc/dist-install/build/HpcFlags.hi
utils/hpc/dist-install/build/HpcReport.o : libraries/base/dist-install/build/Data/List.hi
utils/hpc/dist-install/build/HpcReport.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcShowTix.o : utils/hpc/HpcShowTix.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcShowTix.hi  : %hi: %o  utils/hpc/HpcShowTix.hs))
utils/hpc/dist-install/build/HpcShowTix.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcShowTix.o : libraries/containers/dist-install/build/Data/Set.hi
utils/hpc/dist-install/build/HpcShowTix.o : utils/hpc/dist-install/build/HpcFlags.hi
utils/hpc/dist-install/build/HpcShowTix.o : libraries/hpc/dist-install/build/Trace/Hpc/Tix.hi
utils/hpc/dist-install/build/HpcShowTix.o : libraries/hpc/dist-install/build/Trace/Hpc/Mix.hi
utils/hpc/dist-install/build/HpcUtils.o : utils/hpc/HpcUtils.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcUtils.hi  : %hi: %o  utils/hpc/HpcUtils.hs))
utils/hpc/dist-install/build/HpcUtils.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcUtils.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/hpc/dist-install/build/HpcUtils.o : libraries/containers/dist-install/build/Data/Map.hi
utils/hpc/dist-install/build/HpcUtils.o : libraries/hpc/dist-install/build/Trace/Hpc/Util.hi
utils/hpc/dist-install/build/HpcOverlay.o : utils/hpc/HpcOverlay.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcOverlay.hi  : %hi: %o  utils/hpc/HpcOverlay.hs))
utils/hpc/dist-install/build/HpcOverlay.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcOverlay.o : libraries/containers/dist-install/build/Data/Tree.hi
utils/hpc/dist-install/build/HpcOverlay.o : libraries/containers/dist-install/build/Data/Map.hi
utils/hpc/dist-install/build/HpcOverlay.o : libraries/hpc/dist-install/build/Trace/Hpc/Util.hi
utils/hpc/dist-install/build/HpcOverlay.o : libraries/hpc/dist-install/build/Trace/Hpc/Mix.hi
utils/hpc/dist-install/build/HpcOverlay.o : libraries/hpc/dist-install/build/Trace/Hpc/Tix.hi
utils/hpc/dist-install/build/HpcOverlay.o : utils/hpc/dist-install/build/HpcUtils.hi
utils/hpc/dist-install/build/HpcOverlay.o : utils/hpc/dist-install/build/HpcParser.hi
utils/hpc/dist-install/build/HpcOverlay.o : utils/hpc/dist-install/build/HpcFlags.hi
utils/hpc/dist-install/build/HpcMarkup.o : utils/hpc/HpcMarkup.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcMarkup.hi  : %hi: %o  utils/hpc/HpcMarkup.hs))
utils/hpc/dist-install/build/HpcMarkup.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/containers/dist-install/build/Data/Set.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/base/dist-install/build/Control/Monad.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/array/dist-install/build/Data/Array.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/base/dist-install/build/Data/Semigroup.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/base/dist-install/build/Data/List.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/base/dist-install/build/System/IO.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/directory/dist-install/build/System/Directory.hi
utils/hpc/dist-install/build/HpcMarkup.o : utils/hpc/dist-install/build/HpcUtils.hi
utils/hpc/dist-install/build/HpcMarkup.o : utils/hpc/dist-install/build/HpcFlags.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/hpc/dist-install/build/Trace/Hpc/Util.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/hpc/dist-install/build/Trace/Hpc/Tix.hi
utils/hpc/dist-install/build/HpcMarkup.o : libraries/hpc/dist-install/build/Trace/Hpc/Mix.hi
utils/hpc/dist-install/build/HpcDraft.o : utils/hpc/HpcDraft.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/HpcDraft.hi  : %hi: %o  utils/hpc/HpcDraft.hs))
utils/hpc/dist-install/build/HpcDraft.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/HpcDraft.o : libraries/containers/dist-install/build/Data/Tree.hi
utils/hpc/dist-install/build/HpcDraft.o : utils/hpc/dist-install/build/HpcUtils.hi
utils/hpc/dist-install/build/HpcDraft.o : libraries/containers/dist-install/build/Data/Map.hi
utils/hpc/dist-install/build/HpcDraft.o : libraries/containers/dist-install/build/Data/Set.hi
utils/hpc/dist-install/build/HpcDraft.o : utils/hpc/dist-install/build/HpcFlags.hi
utils/hpc/dist-install/build/HpcDraft.o : libraries/hpc/dist-install/build/Trace/Hpc/Util.hi
utils/hpc/dist-install/build/HpcDraft.o : libraries/hpc/dist-install/build/Trace/Hpc/Mix.hi
utils/hpc/dist-install/build/HpcDraft.o : libraries/hpc/dist-install/build/Trace/Hpc/Tix.hi
utils/hpc/dist-install/build/Paths_hpc_bin.o : utils/hpc/dist-install/build/hpc/autogen/Paths_hpc_bin.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/Paths_hpc_bin.hi  : %hi: %o  utils/hpc/dist-install/build/hpc/autogen/Paths_hpc_bin.hs))
utils/hpc/dist-install/build/Paths_hpc_bin.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/Paths_hpc_bin.o : libraries/base/dist-install/build/System/Environment.hi
utils/hpc/dist-install/build/Paths_hpc_bin.o : libraries/base/dist-install/build/Data/Version.hi
utils/hpc/dist-install/build/Paths_hpc_bin.o : libraries/base/dist-install/build/Control/Exception.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/Main.hs
$(eval $(call hi-rule,utils/hpc/dist-install/build/Main.hi  : %hi: %o  utils/hpc/Main.hs))
utils/hpc/dist-install/build/Main.o : libraries/base/dist-install/build/Prelude.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/Paths_hpc_bin.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/HpcOverlay.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/HpcDraft.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/HpcShowTix.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/HpcCombine.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/HpcMarkup.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/HpcReport.hi
utils/hpc/dist-install/build/Main.o : utils/hpc/dist-install/build/HpcFlags.hi
utils/hpc/dist-install/build/Main.o : libraries/base/dist-install/build/System/Console/GetOpt.hi
utils/hpc/dist-install/build/Main.o : libraries/base/dist-install/build/System/Exit.hi
utils/hpc/dist-install/build/Main.o : libraries/base/dist-install/build/System/Environment.hi
utils/hpc/dist-install/build/Main.o : libraries/base/dist-install/build/Data/Version.hi
# DO NOT DELETE: End of Haskell dependencies
utils/hpc_dist-install_depfile_haskell_EXISTS = YES
